Rudiments: aes128 Class Reference

Rudiments

Public Member Functions | List of all members
aes128 Class Reference

Inherits encryption.

## Public Member Functions
| aes128 ()
| ~aes128 ()
uint32_t | getKeySize ()
uint32_t | getIvSize ()
const unsigned char * | getEncryptedData ()
const unsigned char * | getDecryptedData ()
Public Member Functions inherited from encryption
| encryption ()
virtual | ~encryption ()
virtual bool | setKey (const unsigned char *key, size_t keysize)
virtual void | setRandomKey ()
virtual unsigned char * | getKey ()
virtual bool | setIv (const unsigned char *iv, size_t ivsize)
virtual void | setRandomIv ()
virtual unsigned char * | getIv ()
virtual bool | append (const unsigned char *data, uint32_t size)
virtual uint64_t | getEncryptedDataSize ()
virtual uint64_t | getDecryptedDataSize ()
virtual bool | clear ()
virtual encryptionerror_t | getError ()

## Detailed Description

The aes128 class provides a simple aes128 implementation.

## Constructor & Destructor Documentation

## ◆ aes128()

aes128::aes128 | ( |  | ) |

Creates an instance of the aes128 class.

## ◆ ~aes128()

aes128::~aes128 | ( |  | ) |

Deletes this instance of the aes128 class.

## Member Function Documentation

## ◆ getDecryptedData()

const unsigned char* aes128::getDecryptedData | ( |  | ) |
| virtual

Interprets the current data as encrypted. Decrypts the current data. Returns the decrypted data on success or NULL if an error occurred. Note that the decrypted data returned will be an empty string if no data has been appended yet.

Implements encryption.

## ◆ getEncryptedData()

const unsigned char* aes128::getEncryptedData | ( |  | ) |
| virtual

Interprets the current data as unencrypted. Encrypts the current data. Returns the encrypted data on success or NULL if an error occurred. Note that the encrypted data returned will be an empty string if no data has been appended yet.

Implements encryption.

## ◆ getIvSize()

uint32_t aes128::getIvSize | ( |  | ) |
| virtual

Returns the number of bytes in the initialization vector.

Implements encryption.

## ◆ getKeySize()

uint32_t aes128::getKeySize | ( |  | ) |
| virtual

Returns the number of bytes in the key.

Implements encryption.